---
search:
  tags:
    - Billing
    - POST
seo:
  description: >-
    Requires organization:update. Answers 404… Reference for the POST
    /organizations/{organizationId}/billing/subscription/resume endpoint in the
    Auth API.
sidebar:
  label: Undo a scheduled cancellation
  badge: POST
title: Undo a scheduled cancellation
type: openapi-operation
---
Requires organization:update. Answers 404 without a current subscription and 409 when it is not set to be canceled.

`POST /organizations/{organizationId}/billing/subscription/resume`

**Responses**

- `200` — The subscription, no longer set to be canceled.
- `default` — The request failed.

Response example, 200:

```json
{
  "id": "string",
  "plan": "string",
  "status": "string",
  "seats": 0,
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "cancel_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "ended_at": "2019-08-24T14:15:22Z",
  "trial_start": "2019-08-24T14:15:22Z",
  "trial_end": "2019-08-24T14:15:22Z"
}
```
